---
network: "sutty"
data: "/srv/sutty"
sutty: "sutty.nl"
registry: "git.sutty.abyaya.la/containers"
registry_username: "{{ lookup('file', '_credentials/registry_username') }}"
registry_password: "{{ lookup('file', '_credentials/registry_password') }}"
monit_email_from: "monit@sutty.nl"
dkim_selector: "{{ ansible_date_time.year }}{{ ansible_date_time.month }}"
mmmonit: "mmmonit.{{ groups.sutty_mmmonit[0] }}:3000"
previous_rotation_age: "4w"
soa_ttl: 60
dns_ttl: 60
dns_zones_dir: "/var/lib/knot"
dns_conf_dir: "/etc/knot"
dmarc_policy: "quarantine"
knot_user: "100"
knot_group: "101"
certbot_container_address: "{{ lookup('dig', 'certbot.' + groups.sutty_certbot[0], '@' + groups.sutty_certbot[0], qtype='AAAA', fail_on_error=true) }}"
reserved_info:
- name: "certbot"
  comment: "Certificate Validation Delegate.  This node is delegated with issuing certificates."
  records:
  - type: "A"
    value: "{{ hostvars[groups.sutty_certbot[0]].ansible_host }}"
- name: "panel"
  comment: "Sutty panel.  We delegate a node to host the panel and the rest only performs site replication."
  records:
  - type: "A"
    value: "{{ hostvars[groups.sutty_panel[0]].ansible_host }}"
- name: "api"
  comment: "Sutty panel API."
  records:
  - type: "A"
    value: "{{ hostvars[groups.sutty_panel[0]].ansible_host }}"
knot_container_version: "3.21.1"
